## Apache Zeta Components Manual :: Docs For Class ezcGraphCairoDriverOptions

### Graph::ezcGraphCairoDriverOptions

### Class ezcGraphCairoDriverOptions

Class containing the extended options for the SVG driver.

1. $graph=new ezcGraphPieChart ();
2. $graph->background->color='#FFFFFFFF';
3. $graph->title='Access statistics';
4. $graph->legend=false;
6. $graph->data['Access statistics']=new ezcGraphArrayDataSet (array(
7. 'Mozilla'=>19113,
8. 'Explorer'=>10917,
9. 'Opera'=>1464,
10. 'Safari'=>652,
11. 'Konqueror'=>474,
12. ) );
14. $graph->driver=new ezcGraphCairoDriver ();
16. // No options yet.
18. $graph->render(400,200,'tutorial_driver_cairo.png');

Source for this file: /Graph/src/options/cairo_driver.php

    ezcBaseOptions
       |
       --ezcGraphDriverOptions
          |
          --ezcGraphCairoDriverOptions

Version: | //autogentag//

### Properties

float | read/write | `$circleResolution` Resolution for circles, until I understand how to draw ellipses with SWFShape::curveTo()
float | read/write | `$imageMapResolution` Degree step used to interpolate round image primitives by polygons for image maps

### Inherited Member Variables

From ezcBaseOptions
protected | `ezcBaseOptions::$properties`

### Inherited Methods

From ezcGraphDriverOptions
public void | `ezcGraphDriverOptions::__set()` Set an option value
From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

Documentation generated by phpDocumentor 1.4.3